import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:thumbnail_creator/thumbnail_creator.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  List bytes;

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      ThumbnailCreator plugin = ThumbnailCreator();

      bytes = await plugin.getThumbnail(
        "/storage/emulated/0/Download/Beauties-17-Beauty-by-Sabrina.jpg",
        reqHeight: 100,
        reqWidth: 100,
      );

      if (this.mounted) {
        setState(() {});
      }
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: bytes != null ? Image.memory(
            bytes,
            width: 200,
            height: 200,
          ) : Text('YEEET'),
        ),
      ),
    );
  }
}
